# ConstantPositionProperty

#### new Cesium.ConstantPositionProperty(value, referenceFrame)
DataSources/ConstantPositionProperty.js 31

A `PositionProperty` whose value does not change in respect to the `ReferenceFrame` in which is it defined.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | Cartesian3 |  | optional The property value.
`referenceFrame` | ReferenceFrame | `ReferenceFrame.FIXED` | optional The reference frame in which the position is defined.

### Members

#### readonlydefinitionChanged : Event
DataSources/ConstantPositionProperty.js 60

Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### readonlyisConstant : Boolean
DataSources/ConstantPositionProperty.js 46

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

#### referenceFrame : ReferenceFrame
DataSources/ConstantPositionProperty.js 71

Gets the reference frame in which the position is defined.

Default Value: `ReferenceFrame.FIXED;`

### Methods

#### equals(other) → Boolean
DataSources/ConstantPositionProperty.js 138

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getValue(time, result) → Object
DataSources/ConstantPositionProperty.js 85

Gets the value of the property at the provided time in the fixed frame.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.

#### getValueInReferenceFrame(time, referenceFrame, result) → Cartesian3
DataSources/ConstantPositionProperty.js 118

Gets the value of the property at the provided time and in the provided reference frame.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`referenceFrame` | ReferenceFrame | The desired referenceFrame of the result.
`result` | Cartesian3 | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.

#### setValue(value, referenceFrame)
DataSources/ConstantPositionProperty.js 95

Sets the value of the property.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | Cartesian3 |  | The property value.
`referenceFrame` | ReferenceFrame | `this.referenceFrame` | optional The reference frame in which the position is defined.